// 启用/禁用
export const ABLE_TYPE = {
  DISABLE: "禁用",
  ENABLE: "启用"
};

// 性别
export const GENDER_TYPE = {
  MALE: "男",
  FEMALE: "女"
};

export const BOOLEAN_TYPE = {
  0: "否",
  1: "是"
};

// subject step
export const SUBJECT_STAGE = {
  INIT: "采集阶段",
  ROUGH_LEVEL: "粗分档阶段",
  LEVEL: "分档阶段",
  SCORE: "打分阶段"
};

// grading level
export const LEVEL_TYPE = {
  ADMITED: "间隔给分",
  UNADMIT: "手动给分"
};
export const PROP_DENOMINATOR_TYPE = {
  1: "全部考生数",
  2: "去掉缺考考生数"
};

export const ROUGH_LEVEL_TYPE = {
  1: "一",
  2: "二",
  3: "三",
  4: "四",
  5: "五",
  6: "六",
  7: "七",
  8: "八",
  9: "九"
};

// student score
export const CODE_TYPE = {
  examNumber: "试卷考号",
  paper: "试卷密号",
  task: "任务密号"
};

// role type
export const ROLE_TYPE = {
  MARKER: "评卷员",
  MARK_LEADER: "科组长"
};
export const MARK_LEADER_RIGHTS = {
  oneClickLevel: {
    name: "一键定档",
    action: "leveling"
  },
  standardVolume: {
    name: "设立标准卷",
    action: "sampling"
  },
  levelCallback: {
    name: "建议档位打回",
    action: "reject"
  }
};

export const MARKER_RIGHT_TYPE = {
  ALLOW_LEVELING: "只允许分档",
  ALLOW_SCORING: "只允许打分",
  ALLOW_ALL: "允许分档打分"
};
// sort
export const SORT_ORDER_TYPE = {
  0: "乱序",
  1: "定序"
};
export const SORT_RULE_TYPE = {
  1: "按时间",
  2: "按考号"
};
// cafa-exception
export const CAFA_EXCEPTION_TYPE = {
  0: "缺考",
  1: "手工绑定"
  // 2: "关联考号"
};

// action-type
export const ACTION_TYPE = {
  1: "分档",
  2: "打分",
  3: "回评档位",
  4: "回评分数",
  5: "档位打回",
  6: "档位打回回评",
  7: "一键定档",
  8: "标准卷设置",
  9: "采集",
  10: "系统自动打回",
  11: "重评",
  12: "手动打回",
  13: "档位落差"
};

// image-name-type
export const IMAGE_NAME_TYPE = {
  0: "按考号命名",
  1: "随机码命名"
};
export const EXPORT_IMAGE_NAME_TYPE = {
  1: "考号+姓名",
  2: "流水号"
};
// image-type
export const IMAGE_TYPE = {
  1: "原图",
  2: "裁切图"
};

// paper-level-known-type
export const PAPER_LEVEL_KNOWN_TYPE = {
  0: "未知",
  1: "已知"
};
// paper-upload-type
export const PAPER_UPLOAD_TYPE = {
  0: "未上传",
  1: "已上传"
};

// score-handle-type
export const SCORE_HANDLE_TYPE = {
  0: "非零进一",
  1: "四舍五入"
};
// score-calc-type
export const SCORE_CALC_TYPE = {
  0: "全部加权平均",
  1: "去高去低加权平均"
};

// apply-change-level-status
export const CHANGE_LEVEL_STATUS = {
  0: "未处理",
  1: "已处理"
};
